## RygelDatabaseSqlOperator

RygelDatabaseSqlOperator

## Functions

gchar * | rygel_database_sql_operator_to_string ()
RygelDatabaseSqlOperator * | rygel_database_sql_operator_new ()
RygelDatabaseSqlOperator * | rygel_database_sql_operator_new_from_search_criteria_op ()

## Types and Values

#define | RYGEL_DATABASE_TYPE_SQL_OPERATOR
struct | RygelDatabaseSqlOperator
struct | RygelDatabaseSqlOperatorClass

## Object Hierarchy

        GObject
        ╰── RygelDatabaseSqlOperator
            ╰── RygelDatabaseSqlFunction

## Description

## Functions

### rygel_database_sql_operator_to_string ()

    gchar *
    rygel_database_sql_operator_to_string (RygelDatabaseSqlOperator *self);

#### Parameters

self | the RygelDatabaseSqlOperator instance |

### rygel_database_sql_operator_new ()

    RygelDatabaseSqlOperator *
    rygel_database_sql_operator_new (const gchar *name,
                                     const gchar *arg,
                                     const gchar *collate);

#### Parameters

name |  |
arg |  |
collate |  |

### rygel_database_sql_operator_new_from_search_criteria_op ()

    RygelDatabaseSqlOperator *
    rygel_database_sql_operator_new_from_search_criteria_op
                                   (GUPnPSearchCriteriaOp op,
                                    const gchar *arg,
                                    const gchar *collate);

#### Parameters

op |  |
arg |  |
collate |  |

## Types and Values

### RYGEL_DATABASE_TYPE_SQL_OPERATOR

    #define RYGEL_DATABASE_TYPE_SQL_OPERATOR (rygel_database_sql_operator_get_type ())

The type for RygelDatabaseSqlOperator.

### struct RygelDatabaseSqlOperator

    struct RygelDatabaseSqlOperator;

### struct RygelDatabaseSqlOperatorClass

    struct RygelDatabaseSqlOperatorClass {
    	GObjectClass parent_class;
    	gchar* (*to_string) (RygelDatabaseSqlOperator* self);
    };

The class structure for `RYGEL_DATABASE_TYPE_SQL_OPERATOR`. All the fields in this structure are private and should never be accessed directly.

#### Members

`to_string` () | virtual method called by `rygel_database_sql_operator_to_string()` |